summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Sterrett <mr_bones_@gentoo.org>2016-01-06 11:40:10 -0500
committerMichael Sterrett <mr_bones_@gentoo.org>2016-01-06 11:40:30 -0500
commit0561df10cd59698cb93018c085fd91443f6d3f84 (patch)
treec5e018c4a1007370e02fcab4b7cebf3144b56304 /media-libs/sdl2-mixer
parentgames-rpg/manaplus: clean old (diff)
downloadgentoo-0561df10cd59698cb93018c085fd91443f6d3f84.tar.gz
gentoo-0561df10cd59698cb93018c085fd91443f6d3f84.tar.bz2
gentoo-0561df10cd59698cb93018c085fd91443f6d3f84.zip
media-libs/sdl2-mixer: fix building with newer autotools (bug #571064)
Package-Manager: portage-2.2.26
Diffstat (limited to 'media-libs/sdl2-mixer')
-rw-r--r--media-libs/sdl2-mixer/sdl2-mixer-2.0.1.ebuild2
1 files changed, 2 insertions, 0 deletions
diff --git a/media-libs/sdl2-mixer/sdl2-mixer-2.0.1.ebuild b/media-libs/sdl2-mixer/sdl2-mixer-2.0.1.ebuild
index 4814ca82ecf..42d3ee2739c 100644
--- a/media-libs/sdl2-mixer/sdl2-mixer-2.0.1.ebuild
+++ b/media-libs/sdl2-mixer/sdl2-mixer-2.0.1.ebuild
@@ -54,6 +54,8 @@ S=${WORKDIR}/${MY_P}
src_prepare() {
# upstream patch to fix building with both smpeg and mad mp3 support (bug #570804)
epatch "${FILESDIR}"/${P}-mp3.patch
+ sed -i -e 's/configure.in/configure.ac/' Makefile.in || die
+ mv configure.{in,ac} || die
eautoreconf
}